<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>disable</Nullable>
    <LangVersion>7.3</LangVersion>
    <AllowUnsafeBlocks>True</AllowUnsafeBlocks>
    <RuntimeIdentifiers>linux-arm;linux-arm64;linux-x64;win-x86;win-x64</RuntimeIdentifiers>
  </PropertyGroup>

  <PropertyGroup>
    <!-- Nuget Properties. -->
    <GeneratePackageOnBuild>True</GeneratePackageOnBuild>
    <PackageId>Quik.StbImage</PackageId>
    <Version>1.0.0</Version>
    <Authors>STBI Authors, H. Utku Maden</Authors>
    <Description>
      A C# wrapper for the ubiquitous Stb Image library.
    </Description>
  </PropertyGroup>

  <ItemGroup>
    <Content Include="runtimes/**">
      <PackagePath>runtimes</PackagePath>
      <Pack>true</Pack>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

</Project>
